Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.caff.maze
Class AbstractPropertyInformation

    java.lang.Object
      de.caff.maze.AbstractPropertyInformation

All Implemented Interfaces:
  PropertyInformation

Direct Known Subclasses:
  AbstractBasicMaze.DoubleDelayedPropertyInformation, AbstractBasicMaze.IntegerDelayedPropertyInformation, MazePropertyOwner.BooleanPropertyInformation, MazePropertyOwner.EnumPropertyInformation, MazePropertyOwner.InfoPropertyDisplay, MazePropertyOwner.IntegerPropertyInformation, MazePropertyOwner.PaintPropertyInformation

    public abstract class AbstractPropertyInformation

extends java.lang.Object
implements PropertyInformation

Basic implementation of a PropertyInformation.

Field Summary

Fields inherited from interface de.caff.maze.PropertyInformation
`SHORT_DESCRIPTION_SUFFIX`

Constructor Summary
`protected` | `AbstractPropertyInformation(java.lang.String name)` Constructor.

Method Summary
`void` | `forget()` Forget changed data in the property setter.
`java.lang.String` | `getLocalizedDescription()` Get a localized description of the property with the current default locale.
`java.lang.String` | `getLocalizedShortDescription()` Get a short localized description of the property with the current default locale.
`java.lang.String` | `getName()` Get the name of the property.
`abstract javax.swing.JComponent` | `getSetterComponent()` A component to set the property.
`boolean` | `isInformational()` Is the setter component just for display?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.caff.maze.PropertyInformation
`getPropertyValue`

Constructor Detail

### AbstractPropertyInformation

    protected AbstractPropertyInformation(java.lang.String name)

  Constructor.

  Parameters:
    `name` - property name which is also used as a prefix for the various resources

Method Detail

### getName

    public java.lang.String getName()

  Get the name of the property.

  Specified by:
    `getName` in interface `PropertyInformation`
  Returns:
    property value

### getLocalizedDescription

    public java.lang.String getLocalizedDescription()

  Get a localized description of the property with the current default locale.

  Specified by:
    `getLocalizedDescription` in interface `PropertyInformation`
  Returns:
    localized description

### getLocalizedShortDescription

    public java.lang.String getLocalizedShortDescription()

  Get a short localized description of the property with the current default locale.

  Specified by:
    `getLocalizedShortDescription` in interface `PropertyInformation`
  Returns:
    localized short description or the standard localized description if no short description is defined
  See Also:
    `AbstractPropertyInformation.getLocalizedDescription()`

### getSetterComponent

    public abstract javax.swing.JComponent getSetterComponent()

  A component to set the property.

  Specified by:
    `getSetterComponent` in interface `PropertyInformation`
  Returns:
    setter component

### forget

    public void forget()

  Forget changed data in the property setter. This default implementation does nothing which is the standard fo informational displays.

  Specified by:
    `forget` in interface `PropertyInformation`

### isInformational

    public boolean isInformational()

  Is the setter component just for display? This default implementation returns `false` which is the standard for non-informational displays.

  Specified by:
    `isInformational` in interface `PropertyInformation`
  Returns:
    the answer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD